View Issue Details

IDProjectCategoryView StatusLast Update
0002149SymmetricDSBugpublic2015-02-11 07:39
ReporterFeriyantoAssigned Tochenson 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.1 
Target Version3.7.6Fixed in Version3.7.6 
Summary0002149: Create Initial Table for MySQL - TINYTEXT
DescriptionWhen create table with column type of TINYTEXT on MySQL Database,
SymmetricDS using this wrong SQL Generate syntax :

CREATE TABLE TEST (
   SAMPLE_TINY_TEXT TINYTEXT(255) --wrong syntax
);

which is wrong, and make eror when executed. It should be like this

CREATE TABLE TEST (
   SAMPLE_TINY_TEXT TINYTEXT
);
Steps To Reproduce1. Create table with contain column type TINYTEXT on source node
2. Replicate table from source node to target node (create table and initial data)
3. Check log.
Additional InformationDatabase check for MySQL 5.6 and 5.1
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d69d3505

2015-02-09 20:06:22

chenson

Details Diff
0002149: Create Initial Table for MySQL - TINYTEXT
0002149
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2015-01-20 15:14 Feriyanto New Issue
2015-01-20 15:20 chenson Project SymmetricDS Pro => SymmetricDS
2015-02-09 20:06 chenson Fixed in Version => 3.7.6
2015-02-09 20:06 chenson Target Version => 3.7.6
2015-02-09 20:06 chenson Status new => resolved
2015-02-09 20:06 chenson Resolution open => fixed
2015-02-09 20:06 chenson Assigned To => chenson
2015-02-09 21:00 chenson Changeset attached => SymmetricDS trunk r9354
2015-02-11 07:39 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d69d3505